[Previous] [Next] [Up] [Top]

### NAME

ft_syncdata,ft_synchead,ft_imageloadhead,ft_imagestorhead,ft_imagefree,ft_basicloadhead,ft_basicstorhead,ft_basicfree - Fitsy FITS routines for reading and writing image related cards.

### SYNOPSIS

    void ft_syncdata(FITSHead fits);
    void ft_synchead(FITSHead fits);
    FITSImage ft_imageloadhead(FITSHead fits);
    void ft_imagestorhead(FITSHead fits, FITSImage image);
    void ft_imagefree(FITSImage image);
    FITSBasic ft_basicloadhead(FITSHead fits);
    void ft_basicstorhead(FITSHead fits, FITSBasic basic);
    void ft_basicfree(FITSBasic basic);

### PARAMETERS

- FITSHead fits - FITS header to read/write image cards from/to.
- FITSImage image - Image data to copy into header.
- FITSBasic basic - FITSBasic structure

### DESCRIPTION

The routines on this page are usually called automatically from ft_headinit, ft_headread, ft_headwrite and other higher level routines. This user should never need to call them with the exception of ft_synchead or ft_syncdata.

#### ft_syncdata

Copy information from a FITSHead into the FITSBasic, FITSImage and FITSTable data structures.

#### ft_synchead

Copy information from the FITSBasic, FITSImage and FITSTable data structures into a FITSHead.

#### ft_imageloadhead

Load image FITS values into the FITSImage structure.

#### ft_imagestorhead

Store image FITS values from a FITSImage structure into a header.

#### ft_imagefree

Free a FITSImage data structure.

#### ft_basicloadhead

Load basic FITS values into the FITSBasic structure.

#### ft_basicstorhead

Store basic FITS values from a FITSBasic structre into a fits header.

#### ft_basicfree

Free a FITSBasic data structure.

[Previous] [Next] [Up] [Top]